package com.ruoyi.sy.mapper;

import java.util.List;
import com.ruoyi.sy.domain.SyVocational;

/**
 * 职业Mapper接口
 * 
 * @author mingxue
 * @date 2022-03-30
 */
public interface SyVocationalMapper 
{
    /**
     * 查询职业
     * 
     * @param id 职业ID
     * @return 职业
     */
    public SyVocational selectSyVocationalById(Long id);

    /**
     * 查询职业列表
     * 
     * @param syVocational 职业
     * @return 职业集合
     */
    public List<SyVocational> selectSyVocationalList(SyVocational syVocational);

    /**
     * 新增职业
     * 
     * @param syVocational 职业
     * @return 结果
     */
    public int insertSyVocational(SyVocational syVocational);

    /**
     * 修改职业
     * 
     * @param syVocational 职业
     * @return 结果
     */
    public int updateSyVocational(SyVocational syVocational);

    /**
     * 删除职业
     * 
     * @param id 职业ID
     * @return 结果
     */
    public int deleteSyVocationalById(Long id);

    /**
     * 批量删除职业
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyVocationalByIds(Long[] ids);
}
